bb1=True
bb2=False
print(f"bb1 = {bb1}")
print(f"bb2 = {bb2}")
print(f"Класс объекта: {type(bb1)}")

ii1=-1234567890
print(f"\nii1 = {ii1}")
print(f"Класс объекта: {type(ii1)}")

ff1=-8.9876e-12
print(f"\nff1 = {ff1}")
print(f"Класс объекта: {type(ff1)}")

dv1=0b1101010
print(f"\ndv1 = {dv1}")
print(f"Класс объекта: {type(dv1)}")

vsm1=0o52765
print(f"\nvsm1 = {vsm1}")
print(f"Класс объекта: {type(vsm1)}")

shest1=0x7109af6
print(f"\nshest1 = {shest1}")
print(f"Класс объекта: {type(shest1)}")

cc1=2-3j
print(f"\ncc1 = {cc1}")
print(f"Класс объекта: {type(cc1)}")

a=3.67
b=-0.45
print(f"\na = {a}")
print(f"b = {b}")
print(f"Класс объекта a: {type(a)}")
print(f"Класс объекта b: {type(b)}")

cc2=complex(a,b)
print(f"\ncc2 = {cc2}")
print(f"Класс объекта cc2: {type(cc2)}\n")

ss1='Это - строка символов'
print(f"{ss1}\n")
ss1a="Это - \" строка символов \", \n \t выводимая на двух строках"
print(ss1a)
print('\n')

ss1b= 'Меня зовут: \n TerekhovFV'
print(ss1b)
print('\n')

mnogo="""Нетрудно заметить , что в результате операции
над числами разных типов получается число,
имеющее более сложный тип из тех, которые участвуют в операции."""
print(mnogo)
print('\n')

print(ss1[0])
print(ss1[8])
print(ss1[-2])
print('\n')

print(ss1[6:9])  #Это часть строки – символы с 6-го индекса по 8-й (9-й не включается!)
print(ss1[13:])  #Это часть строки – с 13-го индекса и до конца
print(ss1[:13])  #Это часть строки – с начала и до 12-го индекса включительно
print(ss1[5:-8])  #Это часть строки – с 5-го индекса и до 8-го от конца
print(ss1[3:17:2])  #Часть строки – с 3-го по 16-й индексы с шагом 2

print("\n")
print(ss1[17:3:-2])

print("\n")
print(ss1[-4:3:-2])

print("\n")
ss1=ss1[:4]+'='+ss1[5:]
print(ss1)

print("\n")
print(ss1b[-10:])

print("\n")
ss1b="My name is "+ ss1b[-10:]
print(ss1b)
print("\n")

целое_число = 42
вещественное_число = 3.14159
комплексное_число = 2 + 3j
строка = "Привет, мир!"
многострочная_строка = """Это
многострочная
строка"""
логическое_значение = True
print(целое_число)
print(вещественное_число)
print(комплексное_число)
print(строка)
print(многострочная_строка)